## org.eclipse.datatools.connectivity.oda.design
Interface DataSetDesign

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataSetDesign

extends org.eclipse.emf.ecore.EObject

A design-time data set definition.

The following features are supported:

- `Name`
- `Oda Extension Data Set Id`
- `Data Source Design`
- `Query`
- `Display Name`
- `Public Properties`
- `Private Properties`
- `Result Sets`
- `Primary Result Set Name`
- `Parameters`

See Also:
  `DesignPackage.getDataSetDesign()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataSourceDesign` `getDataSourceDesign()` Returns the value of the 'Data Source Design' containment reference.
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getDisplayNameKey()` Returns the resource key of the 'Display Name' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getOdaExtensionDataSetId()` Returns the value of the 'Oda Extension Data Set Id' attribute.
`java.lang.String` `getOdaExtensionDataSourceId()` Returns the ODA data source element ID of the dataSourceDesign that supports this type of data set.
`DataSetParameters` `getParameters()` Returns the value of the 'Parameters' containment reference.
`ResultSetDefinition` `getPrimaryResultSet()` Returns the primary result set's definition in the 'Result Sets' containment reference.
`java.lang.String` `getPrimaryResultSetName()` Returns the value of the 'Primary Result Set Name' attribute.
`Properties` `getPrivateProperties()` Returns the value of the 'Private Properties' containment reference.
`Properties` `getPublicProperties()` Returns the value of the 'Public Properties' containment reference.
`DataSetQuery` `getQuery()` Returns the value of the 'Query' containment reference.
`java.lang.String` `getQueryText()` Returns the value of the 'Query Text' attribute in the associated 'Query' containment reference.
`ResultSets` `getResultSets()` Returns the value of the 'Result Sets' containment reference.
`void` `setDataSourceDesign(DataSourceDesign value)` Sets the value of the '`Data Source Design`' containment reference.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Display Name`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setOdaExtensionDataSetId(java.lang.String value)` Sets the value of the '`Oda Extension Data Set Id`' attribute.
`void` `setParameters(DataSetParameters value)` Sets the value of the '`Parameters`' containment reference.
`void` `setPrimaryResultSet(ResultSetDefinition resultSetDefn)` Sets the primary result set's definition in the 'Result Sets' containment reference.
`void` `setPrimaryResultSetName(java.lang.String value)` Sets the value of the '`Primary Result Set Name`' attribute.
`void` `setPrivateProperties(Properties value)` Sets the value of the '`Private Properties`' containment reference.
`void` `setPublicProperties(Properties value)` Sets the value of the '`Public Properties`' containment reference.
`void` `setQuery(DataSetQuery value)` Sets the value of the '`Query`' containment reference.
`void` `setQueryText(java.lang.String queryText)` Sets the value of the '`Query`' containment reference with the given query text attribute.
`void` `setResultSets(ResultSets value)` Sets the value of the '`Result Sets`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getOdaExtensionDataSourceId

    java.lang.String getOdaExtensionDataSourceId()

  Returns the ODA data source element ID of the dataSourceDesign that supports this type of data set. Could be null, if nested within another dataSetDesign, to share the container's dataSourceDesign.

  See Also:
    `getDataSourceDesign()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. The unique name that identifies an instance of dataSetDesign.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getDataSetDesign_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getOdaExtensionDataSetId

    java.lang.String getOdaExtensionDataSetId()

  Returns the value of the 'Oda Extension Data Set Id' attribute. The dataSet element ID defined in an ODA extension plugin manifest. It identifies the type of data set design supported by the ODA extension. Optional if only one dataSet element is defined in the manifest.

  Returns:
    the value of the 'Oda Extension Data Set Id' attribute.
  See Also:
    `setOdaExtensionDataSetId(String)`, `DesignPackage.getDataSetDesign_OdaExtensionDataSetId()`

### setOdaExtensionDataSetId

    void setOdaExtensionDataSetId(java.lang.String value)

  Sets the value of the '`Oda Extension Data Set Id`' attribute.

  Parameters:
    `value` - the new value of the 'Oda Extension Data Set Id' attribute.
  See Also:
    `getOdaExtensionDataSetId()`

### getDataSourceDesign

    DataSourceDesign getDataSourceDesign()

  Returns the value of the 'Data Source Design' containment reference. The instance of dataSourceDesign that supports this type of data set. Could be null, if nested within another dataSetDesign, to share the container's dataSourceDesign.

  Returns:
    the value of the 'Data Source Design' containment reference.
  See Also:
    `setDataSourceDesign(DataSourceDesign)`, `DesignPackage.getDataSetDesign_DataSourceDesign()`

### setDataSourceDesign

    void setDataSourceDesign(DataSourceDesign value)

  Sets the value of the '`Data Source Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Source Design' containment reference.
  See Also:
    `getDataSourceDesign()`

### getQuery

    DataSetQuery getQuery()

  Returns the value of the 'Query' containment reference.

  Returns:
    the value of the 'Query' containment reference.
  See Also:
    `setQuery(DataSetQuery)`, `DesignPackage.getDataSetDesign_Query()`

### getQueryText

    java.lang.String getQueryText()

  Returns the value of the 'Query Text' attribute in the associated 'Query' containment reference. The query command text to execute at runtime to retrieve data for this data set. The query syntax is specific to a data source; could be an empty string.

  Returns:
    the value of the 'Query Text' attribute; may be null if no Query is defined
  See Also:
    `getQuery()`

### setQuery

    void setQuery(DataSetQuery value)

  Sets the value of the '`Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Query' containment reference.
  See Also:
    `getQuery()`

### setQueryText

    void setQueryText(java.lang.String queryText)

  Sets the value of the '`Query`' containment reference with the given query text attribute.

  Parameters:
    `queryText` - the value of the 'Query Text' attribute of the 'Query' containment reference
  See Also:
    `#setQuery()`

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. Text can be localized with a resource key.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getDataSetDesign_DisplayName()`, `getDisplayNameKey()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`, `setDisplayNameKey(String)`

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key of the 'Display Name' attribute.

  Returns:
    the resource key of the 'Display Name' attribute; may be null if none is available
  Since:
    3.2.3
  See Also:
    `setDisplayNameKey(String)`, `getDisplayName()`, `DataSourceDesign.getResourceFile()`

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDisplayNameKey()`, `setDisplayName(String)`, `DataSourceDesign.getResourceFile()`

### getPublicProperties

    Properties getPublicProperties()

  Returns the value of the 'Public Properties' containment reference. Properties specific to the underlying data set query. Public property values can be visible and editable in the host designer.

  Returns:
    the value of the 'Public Properties' containment reference.
  See Also:
    `setPublicProperties(Properties)`, `DesignPackage.getDataSetDesign_PublicProperties()`

### setPublicProperties

    void setPublicProperties(Properties value)

  Sets the value of the '`Public Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Public Properties' containment reference.
  See Also:
    `getPublicProperties()`

### getPrivateProperties

    Properties getPrivateProperties()

  Returns the value of the 'Private Properties' containment reference. Private properties specific to the underlying data set query. Their definitions are private to the ODA designer, i.e. must not be visible nor editable by the host designer. The "private" nature only applies to the design-time behavior of an ODA host designer. At run-time, both public and private properties are combined and passed to the ODA runtime driver as a single set of runtime properties.

  Returns:
    the value of the 'Private Properties' containment reference.
  See Also:
    `setPrivateProperties(Properties)`, `DesignPackage.getDataSetDesign_PrivateProperties()`

### setPrivateProperties

    void setPrivateProperties(Properties value)

  Sets the value of the '`Private Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Private Properties' containment reference.
  See Also:
    `getPrivateProperties()`

### getResultSets

    ResultSets getResultSets()

  Returns the value of the 'Result Sets' containment reference.

  Returns:
    the value of the 'Result Sets' containment reference.
  See Also:
    `setResultSets(ResultSets)`, `DesignPackage.getDataSetDesign_ResultSets()`

### setResultSets

    void setResultSets(ResultSets value)

  Sets the value of the '`Result Sets`' containment reference.

  Parameters:
    `value` - the new value of the 'Result Sets' containment reference.
  See Also:
    `getResultSets()`

### getPrimaryResultSet

    ResultSetDefinition getPrimaryResultSet()

  Returns the primary result set's definition in the 'Result Sets' containment reference.

  Returns:
    the primary result set's definition
  See Also:
    `getPrimaryResultSetName()`, `getResultSets()`

### setPrimaryResultSet

    void setPrimaryResultSet(ResultSetDefinition resultSetDefn)

  Sets the primary result set's definition in the 'Result Sets' containment reference.

  Parameters:
    `resultSet` - the primary result set's definition; a null value is ignored
  See Also:
    `setPrimaryResultSetName(String)`, `setResultSets(ResultSets)`

### getPrimaryResultSetName

    java.lang.String getPrimaryResultSetName()

  Returns the value of the 'Primary Result Set Name' attribute. Identifies the primary result set if more than one result sets are available, and can be identified by name. If results sets are identified by sequence, the first result set is the primary one.

  Returns:
    the value of the 'Primary Result Set Name' attribute.
  See Also:
    `setPrimaryResultSetName(String)`, `DesignPackage.getDataSetDesign_PrimaryResultSetName()`

### setPrimaryResultSetName

    void setPrimaryResultSetName(java.lang.String value)

  Sets the value of the '`Primary Result Set Name`' attribute.

  Parameters:
    `value` - the new value of the 'Primary Result Set Name' attribute.
  See Also:
    `getPrimaryResultSetName()`

### getParameters

    DataSetParameters getParameters()

  Returns the value of the 'Parameters' containment reference.

  Returns:
    the value of the 'Parameters' containment reference.
  See Also:
    `setParameters(DataSetParameters)`, `DesignPackage.getDataSetDesign_Parameters()`

### setParameters

    void setParameters(DataSetParameters value)

  Sets the value of the '`Parameters`' containment reference.

  Parameters:
    `value` - the new value of the 'Parameters' containment reference.
  See Also:
    `getParameters()`